> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/digibyte-dgb/dgb_sendtoaddress.md).

# sendtoaddress {disallowed} - DigiByte

#### Parameters

`address` - string, required

The bitcoin address to send to.

`amount` - numeric or string, required

The amount in BTC to send. eg 0.1

`comment` - string, optional

A comment used to store what the transaction is for.

`comment_to` - string, optional

A comment to store the name of the person or organization

`subtractfeefromamount` - boolean, optional, default=false

The fee will be deducted from the amount being sent.

`replaceable` - boolean, optional, default=wallet default

Allow this transaction to be replaced by a transaction with higher fees via BIP 125

`conf_target` - numeric, optional, default=wallet -txconfirmtarget

Confirmation target in blocks

`estimate_mode` - string, optional, default=unset

The fee estimate mode, must be one of (case insensitive) “unset” “economical” “conservative”

`avoid_reuse` - boolean, optional, default=true

(only available if avoid\_reuse wallet flag is set) Avoid spending from dirty addresses; addresses are considered

dirty if they have previously been used in a transaction.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "sendtoaddress",
"params": [null, null, null, null, null, null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/digibyte-dgb/dgb_sendtoaddress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
